import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JOptionPane;
import javax.swing.JPanel;

public class ImagePanel extends JPanel {


	private BufferedImage image;

	public ImagePanel() {
		this.setDoubleBuffered(true);
		this.setPreferredSize(new Dimension(640,480));
	}
	
	public void setImage(File f) {
		try {
			image = ImageIO.read(f);
		} catch (IOException e) {
			JOptionPane.showMessageDialog(this,"Couldn't Open Image "+f.getAbsolutePath(),"Warning!",JOptionPane.ERROR_MESSAGE);
		}
		this.repaint();
	}
	@Override
	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		if (image == null) {
			g.setColor(Color.BLACK);
			g.drawLine(0,0,640,480);
			g.drawLine(0,480,640,0);
		} else {
			g.drawImage(image,0,0,640,480,null);
		}
	}
	
	
}
